Get a subscriber
Get a subscriber
Overview
Get a subscriber
gethttps://api.subsail.com/v1/subscribers/{id}/
Request parameters
idstringRequiredpath
Resource ID (alphanumeric).
Request body
No request body.
Request examples
No request body.
Responses
200Subscriber
idstringSubscriber ID.
first_namestringlast_namestringfull_namestringemailstringlatest_countrystringISO country code of the subscriber's latest order's shipping address.
latest_order_datedateDate of the subscriber's latest order.
has_active_subscriptionbooleanWhether the subscriber has an active subscription or membership.
subscription_countnumberNumber of subscriptions or memberships the subscriber has purchased.
ltvstringLifetime value (account currency).
ltv_currencystringISO currency code for ltv (account selling currency).
date_createddateExample
JSON
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"email": "<string>",
"latest_country": "<string>",
"latest_order_date": "<date>",
"has_active_subscription": "<boolean>",
"subscription_count": "<number>",
"ltv": "<string>",
"ltv_currency": "<string>",
"date_created": "<date>"
}401Missing or invalid API key (empty response body).
403Account is inactive (empty response body).
404Resource not found
errorbooleanRequiredmessagestringRequiredcodestringMachine-readable code, e.g. read_only_key for read-only key write attempts.
Example
JSON
{
"error": "<boolean>",
"message": "<string>",
"code": "<string>"
}